> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an alternative currency

> Create an alternative currency. <h3>OAuth</h3>Required scopes: <code>invoices</code>



## OpenAPI

````yaml /assets/openapi.json post /alt_currencies/v1
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /alt_currencies/v1:
    post:
      tags:
        - Alternative currencies
      summary: Create an alternative currency
      description: >-
        Create an alternative currency. <h3>OAuth</h3>Required scopes:
        <code>invoices</code>
      operationId: createAltCurrency
      parameters:
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/createAltCurrency'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  altCurrency:
                    $ref: '#/components/schemas/altCurrency'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - invoices
components:
  requestBodies:
    createAltCurrency:
      content:
        application/json:
          schema:
            type: object
            properties:
              altCurrency:
                allOf:
                  - type: object
                    properties:
                      currencyCode:
                        type: string
                        minLength: 1
                        description: ISO 4217 currency code.
                      locationRef:
                        type: string
                        format: uuid
                        description: ID of the location this alt currency belongs to.
                    required:
                      - currencyCode
                      - locationRef
                  - oneOf:
                      - type: object
                        properties:
                          provider:
                            description: >-
                              Exchange rate provider when auto-update is
                              enabled.
                            type: string
                            enum:
                              - fastForex
                              - nbu
                              - bcra
                              - nbg
                              - bcch
                              - ecb
                        required:
                          - provider
                      - type: object
                        properties:
                          exchangeRate:
                            type: number
                            minimum: 0
                            exclusiveMinimum: true
                            description: >-
                              Exchange rate relative to the location main
                              currency.
                        required:
                          - exchangeRate
                description: Alt currency to create.
            required:
              - altCurrency
      required: true
  schemas:
    altCurrency:
      type: object
      properties:
        createDate:
          type: string
          format: date-time
          description: ISO timestamp of when the alt currency was created.
        currencyCode:
          type: string
          description: ISO 4217 currency code.
        exchangeRate:
          type: number
          description: Exchange rate relative to the location main currency.
        id:
          type: string
          format: uuid
          description: Unique identifier of the alt currency.
        locationRef:
          type: string
          format: uuid
          description: ID of the location this alt currency belongs to.
        provider:
          description: Exchange rate provider when auto-update is enabled.
          type: string
          enum:
            - fastForex
            - nbu
            - bcra
            - nbg
            - bcch
            - ecb
      required:
        - createDate
        - currencyCode
        - exchangeRate
        - id
        - locationRef
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````